/**
 * output package name
 */
package com.kingdee.eas.custom.htjd;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class degree extends StringEnum
{
    public static final String NORMAL_VALUE = "1";//alias=Õý³£
    public static final String EMERGENCY_VALUE = "0";//alias=½ô¼±

    public static final degree normal = new degree("normal", NORMAL_VALUE);
    public static final degree emergency = new degree("emergency", EMERGENCY_VALUE);

    /**
     * construct function
     * @param String degree
     */
    private degree(String name, String degree)
    {
        super(name, degree);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static degree getEnum(String degree)
    {
        return (degree)getEnum(degree.class, degree);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(degree.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(degree.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(degree.class);
    }
}